% eda03_15
% Illustrate correlated and uncorrelated normal distributions
% This version computes the normal distribution without loops

% set up vectors da and d2
L=40;
Dd = 1.0;
d1 = Dd*[0:L-1]';
d2 = Dd*[0:L-1]';

% make a positively correlated normal distribution
d1bar=15;
d2bar=25;
C=[[6,4]',[4,10]'];
CI=inv(C);
norm=1/(2*pi*sqrt(det(C)));
dd1=d1-d1bar;
dd2=d2-d2bar;
% note that a quadratic form v'Mv can be written
% M(1,1)*v(1)^2 + M(2,2)*v2(2)^2 + 2*M(1,2)*v(1)*v(2)
% M is a 2x2 symmetric matrix and v is a column-vector
Pp=norm*exp(-0.5*CI(1,1)*(dd1.^2)*ones(L,1)' ...
    -0.5*CI(2,2)*ones(L,1)*(dd2.^2)' ...
    -CI(1,2)*dd1*dd2');

% make a negatively correlated normal distribution
d1bar=15;
d2bar=25;
C=[[6,-4]',[-4,10]'];
CI=inv(C);
norm=1/(2*pi*sqrt(det(C)));
dd1=d1-d1bar;
dd2=d2-d2bar;
% note that a quadratic form v'Mv can be written
% M(1,1)*v(1)^2 + M(2,2)*v2(2)^2 + 2*M(1,2)*v(1)*v(2)
% M is a 2x2 symmetric matrix and v is a column-vector
Pn=norm*exp(-0.5*CI(1,1)*(dd1.^2)*ones(L,1)' ...
    -0.5*CI(2,2)*ones(L,1)*(dd2.^2)' ...
    -CI(1,2)*dd1*dd2');

% make an uncorrelated normal distribution
d1bar=15;
d2bar=25;
C=[[6,0]',[0,10]'];
CI=inv(C);
norm=1/(2*pi*sqrt(det(C)));
dd1=d1-d1bar;
dd2=d2-d2bar;
% note that a quadratic form v'Mv can be written
% M(1,1)*v(1)^2 + M(2,2)*v2(2)^2 + 2*M(1,2)*v(1)*v(2)
% M is a 2x2 symmetric matrix and v is a column-vector
Pu=norm*exp(-0.5*CI(1,1)*(dd1.^2)*ones(L,1)' ...
    -0.5*CI(2,2)*ones(L,1)*(dd2.^2)' ...
    -CI(1,2)*dd1*dd2');

% use simple drawing function that encapsulates all the graphics
eda_draw(Pp, 'caption +cor', Pn, 'caption -cor', Pu, 'caption uncor');

